### Method

# Atspi Text get_text

#### Declaration [src]

    gchar*
    atspi_text_get_text (
      AtspiText* obj,
      gint start_offset,
      gint end_offset,
      GError** error
    )

#### Description [src]

Gets a range of text from an `AtspiText` object. The number of bytes in the returned string may exceed either end_offset or start_offset, since UTF-8 is a variable-width encoding.

#### Parameters

`start_offset`

  Type: `gint`

  A #gint indicating the start of the desired text range.

`end_offset`

  Type: `gint`

  A #gint indicating the first character past the desired range.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A text string containing characters from `start_offset` to `end_offset`-1, inclusive, encoded as UTF-8.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.